Brault Developers

Rename a board property

Regionalus.api.brault.appfollows the region selector in the top bar
PATCH
/v1/boards/{boardId}/properties/{propertyId}

A property’s type and position are fixed.

AuthorizationBearer <token>

API key from Settings → Developers

In: header

Path Parameters

boardId*string
propertyId*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X PATCH "https://example.com/v1/boards/string/properties/string" \  -H "Content-Type: application/json" \  -d '{    "name": "string"  }'
{  "object": "property",  "id": "string",  "scope": "board",  "board_id": "string",  "name": "string",  "type": "status",  "selection_mode": "single",  "options": [    {      "object": "option",      "id": "string",      "label": "string",      "color": "#E2E8EE",      "hidden": true,      "position": 0    }  ],  "position": 0,  "created_at": "2019-08-24T14:15:22Z",  "updated_at": "2019-08-24T14:15:22Z"}